Subject: bug#31708: 'gcc-strmov-store-file-names.patch' causes GCC segfaults

From: [email-masked] (Ludovic Courtès)
Date: Fri, 08 Jun 2018 15:26:12 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> At the moment, the most pressing failure caused by this bug is 'doxygen'
> on armhf, which causes GCC to crash deterministically in the same place
> every time, with many important dependency failures.

Fixed very elegantly in commit 849a1399ca46497ad6acc5b11903f345502c02de.

The fact that it’s C++ makes things a little bit more complicated, and
it makes the bug a little bit more likely to trigger (because in C++ you
can have declarations of ‘static const’ things, and a declaration
doesn’t have an initializer, hence the NULL pointer dereference.)

Thanks for the heads-up,
Ludo’.